Index: LMDZ6/trunk/libf/dyn3dmem/addfi_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/addfi_loc.f90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/addfi_loc.f90	(revision 5281)
@@ -11,4 +11,5 @@
   USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
           ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+  USE comgeom_mod_h
   IMPLICIT NONE
   !
@@ -46,8 +47,4 @@
   !-----------------------------------------------------------------------
   !
-  !    0.  Declarations :
-  !    ------------------
-  include "comgeom.h"
-  !
   !    Arguments :
   !    -----------
Index: LMDZ6/trunk/libf/dyn3dmem/advect_new_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/advect_new_loc.f90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/advect_new_loc.f90	(revision 5281)
@@ -4,4 +4,5 @@
 SUBROUTINE advect_new_loc(ucov,vcov,teta,w,massebx,masseby, &
         du,dv,dteta)
+  USE comgeom_mod_h
   USE parallel_lmdz
   USE write_field_loc
@@ -32,5 +33,4 @@
   !   Declarations:
   !   -------------
-  include "comgeom.h"
 
   !   Arguments:
Index: LMDZ6/trunk/libf/dyn3dmem/advtrac_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/advtrac_loc.f90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/advtrac_loc.f90	(revision 5281)
@@ -8,4 +8,5 @@
    !            M.A Filiberti (04/2002)
    !
+   USE comgeom2_mod_h
    USE comdissip_mod_h
    USE infotrac,     ONLY: nqtot, tracers
@@ -29,5 +30,4 @@
 
 
-   include "comgeom2.h"
    include "description.h"
 !   include "iniprint.h"
Index: LMDZ6/trunk/libf/dyn3dmem/bilan_dyn_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/bilan_dyn_loc.f90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/bilan_dyn_loc.f90	(revision 5281)
@@ -10,4 +10,5 @@
   !             vQ..A=Cp T + L * ...
 
+  USE comgeom2_mod_h
   USE IOIPSL
   USE parallel_lmdz
@@ -26,5 +27,4 @@
 
 
-  include "comgeom2.h"
   include "iniprint.h"
 
Index: LMDZ6/trunk/libf/dyn3dmem/caldyn_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/caldyn_loc.f90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/caldyn_loc.f90	(revision 5281)
@@ -2,4 +2,5 @@
         (itau,ucov,vcov,teta,ps,masse,pk,pkf,phis , &
         phi,conser,du,dv,dteta,dp,w,pbaru,pbarv,time )
+  USE comgeom_mod_h
   USE parallel_lmdz
   USE Write_Field_loc
@@ -31,5 +32,4 @@
 
 
-  include "comgeom.h"
 
   !   Arguments:
Index: LMDZ6/trunk/libf/dyn3dmem/call_dissip_mod.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/call_dissip_mod.f90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/call_dissip_mod.f90	(revision 5281)
@@ -47,10 +47,10 @@
     CALL allocate_u(dtetadis,llm,d)
     CALL allocate_u(dtetaecdt,llm,d)
-    
-    
+
+
     CALL dissip_allocate
-    
+
   END SUBROUTINE call_dissip_allocate
-  
+
   SUBROUTINE call_dissip_switch_dissip(dist)
   USE allocate_field_mod
@@ -76,9 +76,9 @@
 
     CALL dissip_switch_dissip(dist)
-    
-  END SUBROUTINE call_dissip_switch_dissip  
-  
-
-  
+
+  END SUBROUTINE call_dissip_switch_dissip
+
+
+
   SUBROUTINE call_dissip(ucov_dyn,vcov_dyn,teta_dyn,p_dyn,pk_dyn,ps_dyn)
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
@@ -92,6 +92,6 @@
   USE write_field_loc
   USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_DEBUGIO
+  USE comgeom_mod_h
   IMPLICIT NONE
-    INCLUDE 'comgeom.h'
     REAL,INTENT(INOUT) :: ucov_dyn(ijb_u:ije_u,llm) ! covariant zonal wind
     REAL,INTENT(INOUT) :: vcov_dyn(ijb_v:ije_v,llm) ! covariant meridional wind
Index: LMDZ6/trunk/libf/dyn3dmem/convflu_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/convflu_loc.f90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/convflu_loc.f90	(revision 5281)
@@ -15,4 +15,5 @@
   ! nbniv   est le nombre de niveaux vert. de  xflu et de yflu .
   !
+  USE comgeom_mod_h
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
@@ -33,5 +34,4 @@
   !
   !
-  INCLUDE "comgeom.h"
   !
 
Index: LMDZ6/trunk/libf/dyn3dmem/convmas1_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/convmas1_loc.f90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/convmas1_loc.f90	(revision 5281)
@@ -6,4 +6,5 @@
 ! Purpose: Compute mass flux convergence at p levels.
 !          Equivalent to convmas_loc if convmas2_loc is called after.
+  USE comgeom_mod_h
   USE parallel_lmdz
   USE mod_filtreg_p
@@ -14,5 +15,4 @@
 
 
-  include "comgeom.h"
 !===============================================================================
 ! Arguments:
Index: LMDZ6/trunk/libf/dyn3dmem/convmas2_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/convmas2_loc.f90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/convmas2_loc.f90	(revision 5281)
@@ -6,4 +6,5 @@
 ! Purpose: Compute mass flux convergence at p levels.
 !          Equivalent to convmas_loc if convmas1_loc is called before.
+  USE comgeom_mod_h
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
@@ -13,5 +14,4 @@
 
 
-  include "comgeom.h"
 !===============================================================================
 ! Arguments:
Index: LMDZ6/trunk/libf/dyn3dmem/convmas_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/convmas_loc.f90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/convmas_loc.f90	(revision 5281)
@@ -5,4 +5,5 @@
 !-------------------------------------------------------------------------------
 ! Purpose: Compute mass flux convergence at p levels.
+  USE comgeom_mod_h
   USE parallel_lmdz
   USE mod_filtreg_p
@@ -13,5 +14,4 @@
 
 
-  include "comgeom.h"
 !===============================================================================
 ! Arguments:
Index: LMDZ6/trunk/libf/dyn3dmem/covcont_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/covcont_loc.f90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/covcont_loc.f90	(revision 5281)
@@ -1,3 +1,4 @@
 SUBROUTINE covcont_loc (klevel,ucov, vcov, ucont, vcont )
+  USE comgeom_mod_h
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
@@ -19,5 +20,4 @@
   !
   !=======================================================================
-  INCLUDE "comgeom.h"
 
   INTEGER :: klevel
Index: LMDZ6/trunk/libf/dyn3dmem/covnat_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/covnat_loc.f90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/covnat_loc.f90	(revision 5281)
@@ -3,4 +3,5 @@
 !
 SUBROUTINE covnat_loc(klevel,ucov, vcov, unat, vnat )
+  USE comgeom_mod_h
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
@@ -22,5 +23,4 @@
   !
   !=======================================================================
-  INCLUDE "comgeom.h"
 
   INTEGER :: klevel
Index: LMDZ6/trunk/libf/dyn3dmem/dissip_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/dissip_loc.f90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/dissip_loc.f90	(revision 5281)
@@ -4,4 +4,5 @@
 SUBROUTINE dissip_loc( vcov,ucov,teta,p, dv,du,dh )
   !
+  USE comgeom_mod_h
   USE comdissipn_mod_h
   USE comdissnew_mod_h
@@ -37,5 +38,4 @@
 
 
-  include "comgeom.h"
 
   !   Arguments:
Index: LMDZ6/trunk/libf/dyn3dmem/diverg_gam_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/diverg_gam_loc.f90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/diverg_gam_loc.f90	(revision 5281)
@@ -9,4 +9,5 @@
   !          x et y  etant des composantes covariantes   ...
   !  *********************************************************************
+  USE comgeom_mod_h
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
@@ -26,5 +27,4 @@
 
 
-  INCLUDE "comgeom.h"
   !
   !    ..........          variables en arguments    ...................
Index: LMDZ6/trunk/libf/dyn3dmem/diverg_p.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/diverg_p.f90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/diverg_p.f90	(revision 5281)
@@ -8,4 +8,5 @@
   !          x et y  etant des composantes covariantes   ...
   !  *********************************************************************
+  USE comgeom_mod_h
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
@@ -25,5 +26,4 @@
 
 
-  INCLUDE "comgeom.h"
   !
   !    ..........          variables en arguments    ...................
Index: LMDZ6/trunk/libf/dyn3dmem/divergf_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/divergf_loc.f90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/divergf_loc.f90	(revision 5281)
@@ -8,4 +8,5 @@
   !          x et y  etant des composantes covariantes   ...
   !  *********************************************************************
+  USE comgeom_mod_h
   USE parallel_lmdz
   USE mod_filtreg_p
@@ -26,5 +27,4 @@
 
 
-  INCLUDE "comgeom.h"
   !
   !    ..........          variables en arguments    ...................
Index: LMDZ6/trunk/libf/dyn3dmem/divgrad2_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/divgrad2_loc.f90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/divgrad2_loc.f90	(revision 5281)
@@ -10,4 +10,5 @@
   !     divgra     est  un argument  de sortie pour le s-prg
   !
+  USE comgeom2_mod_h
   USE comdissipn_mod_h
   USE parallel_lmdz
@@ -22,5 +23,4 @@
 
 
-  INCLUDE "comgeom2.h"
 
   !    .......    variables en arguments   .......
Index: LMDZ6/trunk/libf/dyn3dmem/dynetat0_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/dynetat0_loc.f90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/dynetat0_loc.f90	(revision 5281)
@@ -6,4 +6,5 @@
 ! Purpose: Initial state reading.
 !-------------------------------------------------------------------------------
+  USE comgeom_mod_h
   USE parallel_lmdz
   USE infotrac,    ONLY: nqtot, tracers, niso, iqIsoPha, iH2O, isoName, &
@@ -30,5 +31,4 @@
 
 
-  include "comgeom.h"
   include "description.h"
   include "iniprint.h"
Index: LMDZ6/trunk/libf/dyn3dmem/dynredem_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/dynredem_loc.f90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/dynredem_loc.f90	(revision 5281)
@@ -4,4 +4,5 @@
 ! Write the NetCDF restart file (initialization).
 !-------------------------------------------------------------------------------
+  USE comgeom_mod_h
   USE IOIPSL
   USE parallel_lmdz
@@ -23,10 +24,9 @@
 
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+  USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
           ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
-IMPLICIT NONE
-
-
-  include "comgeom.h"
+  USE comgeom_mod_h
+  IMPLICIT NONE
+
   include "description.h"
   include "iniprint.h"
@@ -34,5 +34,5 @@
 ! Arguments:
   CHARACTER(LEN=*), INTENT(IN) :: fichnom          !--- FILE NAME
-  INTEGER,          INTENT(IN) :: iday_end         !--- 
+  INTEGER,          INTENT(IN) :: iday_end         !---
   REAL,             INTENT(IN) :: phis(ijb_u:ije_u)!--- GROUND GEOPOTENTIAL
 !===============================================================================
@@ -79,5 +79,5 @@
   tab_cntrl(19) = preff
 
-!    .....    parameters for zoom    ......   
+!    .....    parameters for zoom    ......
   tab_cntrl(20) = clon
   tab_cntrl(21) = clat
@@ -178,5 +178,5 @@
                           err, modname, fil, msg
   USE temps_mod, ONLY: itau_dyn, itaufin
-  
+
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
@@ -186,5 +186,4 @@
 
   include "description.h"
-  include "comgeom.h"
   include "iniprint.h"
 !===============================================================================
Index: LMDZ6/trunk/libf/dyn3dmem/enercin_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/enercin_loc.f90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/enercin_loc.f90	(revision 5281)
@@ -5,4 +5,5 @@
 !-------------------------------------------------------------------------------
 ! Purpose: Compute kinetic energy at sigma levels.
+  USE comgeom_mod_h
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
@@ -12,5 +13,4 @@
 
 
-  include "comgeom.h"
 !===============================================================================
 ! Arguments:
Index: LMDZ6/trunk/libf/dyn3dmem/exner_hyb_loc_m.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/exner_hyb_loc_m.f90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/exner_hyb_loc_m.f90	(revision 5281)
@@ -1,5 +1,6 @@
 module exner_hyb_loc_m
 
-  IMPLICIT NONE
+  USE comgeom_mod_h
+    IMPLICIT NONE
 
 contains
@@ -14,5 +15,5 @@
     !
     !   ************************************************************************
-    !    Calcule la fonction d'Exner pk = Cp * (p/preff) ** kappa , aux milieux des 
+    !    Calcule la fonction d'Exner pk = Cp * (p/preff) ** kappa , aux milieux des
     !    couches .   Pk(l) sera calcule aux milieux  des couches l ,entre les
     !    pressions p(l) et p(l+1) ,definis aux interfaces des llm couches .
@@ -26,7 +27,7 @@
     !    ( voir note de Fr.Hourdin )  ,
     !
-    !    on determine successivement , du haut vers le bas des couches, les 
-    !    coef. alpha(llm),beta(llm) .,.,alpha(l),beta(l),,,alpha(2),beta(2), 
-    !    puis pk(ij,1). Ensuite ,on calcule,du bas vers le haut des couches,  
+    !    on determine successivement , du haut vers le bas des couches, les
+    !    coef. alpha(llm),beta(llm) .,.,alpha(l),beta(l),,,alpha(2),beta(2),
+    !    puis pk(ij,1). Ensuite ,on calcule,du bas vers le haut des couches,
     !     pk(ij,l)  donne  par la relation (2),  pour l = 2 a l = llm .
     !
@@ -45,5 +46,4 @@
 
 
-    include "comgeom.h"
 
     INTEGER  ngrid
Index: LMDZ6/trunk/libf/dyn3dmem/exner_milieu_loc_m.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/exner_milieu_loc_m.f90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/exner_milieu_loc_m.f90	(revision 5281)
@@ -1,5 +1,6 @@
 module exner_milieu_loc_m
 
-  IMPLICIT NONE
+  USE comgeom_mod_h
+    IMPLICIT NONE
 
 contains
@@ -15,5 +16,5 @@
     !
     !   ************************************************************************
-    !    Calcule la fonction d'Exner pk = Cp * (p/preff) ** kappa , aux milieux des 
+    !    Calcule la fonction d'Exner pk = Cp * (p/preff) ** kappa , aux milieux des
     !    couches .   Pk(l) sera calcule aux milieux  des couches l ,entre les
     !    pressions p(l) et p(l+1) ,definis aux interfaces des llm couches .
@@ -23,7 +24,7 @@
     !
     !     WARNING : CECI est une version speciale de exner_hyb originale
-    !               Utilise dans la version martienne pour pouvoir 
+    !               Utilise dans la version martienne pour pouvoir
     !               tourner avec des coordonnees verticales complexe
-    !              => Il ne verifie PAS la condition la proportionalite en 
+    !              => Il ne verifie PAS la condition la proportionalite en
     !              energie totale/ interne / potentielle (F.Forget 2001)
     !    ( voir note de Fr.Hourdin )  ,
@@ -33,5 +34,5 @@
     USE comconst_mod, ONLY: cpp, kappa, r, jmp1
     USE comvert_mod, ONLY: preff
-    
+
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
@@ -41,5 +42,4 @@
 
 
-    include "comgeom.h"
 
     INTEGER  ngrid
Index: LMDZ6/trunk/libf/dyn3dmem/flumass_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/flumass_loc.f90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/flumass_loc.f90	(revision 5281)
@@ -5,4 +5,5 @@
 !-------------------------------------------------------------------------------
 ! Purpose: Compute mass flux at s levels.
+  USE comgeom_mod_h
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
@@ -12,5 +13,4 @@
 
 
-  include "comgeom.h"
 !===============================================================================
 ! Arguments:
Index: LMDZ6/trunk/libf/dyn3dmem/friction_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/friction_loc.f90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/friction_loc.f90	(revision 5281)
@@ -4,4 +4,5 @@
 !=======================================================================
 SUBROUTINE friction_loc(ucov,vcov,pdt)
+  USE comgeom2_mod_h
   USE parallel_lmdz
   USE control_mod
@@ -26,5 +27,4 @@
 
 
-  include "comgeom2.h"
   include "iniprint.h"
   include "academic.h"
Index: LMDZ6/trunk/libf/dyn3dmem/gcm.F90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/gcm.F90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/gcm.F90	(revision 5281)
@@ -13,4 +13,5 @@
 !  USE mod_interface_dyn_phys, ONLY: init_interface_dyn_phys
 !#endif
+  USE comgeom_mod_h
   USE comdissnew_mod_h
   USE mod_hallo
@@ -61,5 +62,4 @@
   !   Declarations:
   !   -------------
-  include "comgeom.h"
   include "description.h"
   include "iniprint.h"
Index: LMDZ6/trunk/libf/dyn3dmem/gr_u_scal_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/gr_u_scal_loc.f90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/gr_u_scal_loc.f90	(revision 5281)
@@ -25,4 +25,5 @@
   !
   !=======================================================================
+  USE comgeom_mod_h
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
@@ -36,5 +37,4 @@
 
 
-  INCLUDE "comgeom.h"
 
   !   Arguments:
Index: LMDZ6/trunk/libf/dyn3dmem/gr_v_scal_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/gr_v_scal_loc.f90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/gr_v_scal_loc.f90	(revision 5281)
@@ -25,4 +25,5 @@
   !
   !=======================================================================
+  USE comgeom_mod_h
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
@@ -36,5 +37,4 @@
 
 
-  INCLUDE "comgeom.h"
 
   !   Arguments:
Index: LMDZ6/trunk/libf/dyn3dmem/gradiv2_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/gradiv2_loc.f90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/gradiv2_loc.f90	(revision 5281)
@@ -13,4 +13,5 @@
   !
   !
+  USE comgeom_mod_h
   USE comdissipn_mod_h
   USE parallel_lmdz
@@ -27,5 +28,4 @@
 
 
-  INCLUDE "comgeom.h"
   !
   ! ........    variables en arguments      ........
Index: LMDZ6/trunk/libf/dyn3dmem/groupe_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/groupe_loc.f90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/groupe_loc.f90	(revision 5281)
@@ -1,3 +1,4 @@
 subroutine groupe_loc(pext,pbaru,pbarv,pbarum,pbarvm,wm)
+  USE comgeom2_mod_h
   USE parallel_lmdz
   USE Write_field_loc
@@ -23,5 +24,4 @@
 
 
-  include "comgeom2.h"
 
   ! integer ngroup
Index: LMDZ6/trunk/libf/dyn3dmem/groupeun_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/groupeun_loc.f90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/groupeun_loc.f90	(revision 5281)
@@ -1,3 +1,4 @@
 SUBROUTINE groupeun_loc(jjmax,llmax,sb,se,jjb,jje,q)
+  USE comgeom2_mod_h
   USE parallel_lmdz
   USE Write_Field_p
@@ -10,5 +11,4 @@
 
 
-  include "comgeom2.h"
 
   INTEGER :: jjmax,llmax,sb,se,jjb,jje
@@ -138,4 +138,5 @@
 SUBROUTINE init_groupeun_loc(airen_tab, aires_tab)
 
+  USE comgeom2_mod_h
   USE parallel_lmdz
   USE comconst_mod, ONLY: ngroup
@@ -147,5 +148,4 @@
 
 
-  include "comgeom2.h"
 
   ! INTEGER ngroup
Index: LMDZ6/trunk/libf/dyn3dmem/guide_loc_mod.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/guide_loc_mod.f90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/guide_loc_mod.f90	(revision 5281)
@@ -787,8 +787,9 @@
   SUBROUTINE guide_zonave_u(typ,vsize,field)
 
+    USE comgeom_mod_h
     USE comconst_mod, ONLY: pi
 
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+    USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
           ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
@@ -796,5 +797,4 @@
 
 
-    INCLUDE "comgeom.h"
 
     ! input/output variables
@@ -862,4 +862,5 @@
   SUBROUTINE guide_zonave_v(typ,hsize,vsize,field)
 
+    USE comgeom_mod_h
     USE comconst_mod, ONLY: pi
 
@@ -871,5 +872,4 @@
 
 
-    INCLUDE "comgeom.h"
 
     ! input/output variables
@@ -932,5 +932,6 @@
 !=======================================================================
   SUBROUTINE guide_interp(psi,teta)
-    use exner_hyb_loc_m, only: exner_hyb_loc
+    USE comgeom2_mod_h
+  use exner_hyb_loc_m, only: exner_hyb_loc
     use exner_milieu_loc_m, only: exner_milieu_loc
   USE parallel_lmdz
@@ -946,5 +947,4 @@
 
 
-  include "comgeom2.h"
 
   REAL, DIMENSION (iip1,jjb_u:jje_u),     INTENT(IN) :: psi ! Psol gcm
@@ -1431,11 +1431,9 @@
 
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+    USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
           ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
-implicit none
-
-
-
-    include "comgeom2.h"
+    USE comgeom2_mod_h
+    implicit none
+
 
 ! input arguments :
@@ -2202,11 +2200,11 @@
 
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+    USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
           ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+    USE comgeom2_mod_h
 IMPLICIT NONE
 
 
 
-    INCLUDE "comgeom2.h"
 
     ! Variables entree
@@ -2424,5 +2422,5 @@
 
 subroutine dump2du(var,varname)
-use parallel_lmdz
+     use parallel_lmdz
 use mod_hallo
 USE dimensions_mod, ONLY: iim, jjm, llm, ndm
@@ -2460,10 +2458,10 @@
 subroutine dumpall
      USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+     USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
           ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+     USE comgeom_mod_h
 implicit none
 
 
-     include "comgeom.h"
      call barrier
      call dump2du(alpha_u(ijb_u:ije_u),'  alpha_u couche 1')
Index: LMDZ6/trunk/libf/dyn3dmem/iniacademic_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/iniacademic_loc.f90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/iniacademic_loc.f90	(revision 5281)
@@ -4,4 +4,5 @@
 SUBROUTINE iniacademic_loc(vcov,ucov,teta,q,masse,ps,phis,time_0)
 
+  USE comgeom_mod_h
   USE filtreg_mod, ONLY: inifilr
   USE infotrac,    ONLY: nqtot, niso, iqIsoPha, tracers, isoName, addPhase
@@ -37,5 +38,4 @@
 
 
-  include "comgeom.h"
   include "academic.h"
   include "iniprint.h"
Index: LMDZ6/trunk/libf/dyn3dmem/initdynav_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/initdynav_loc.f90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/initdynav_loc.f90	(revision 5281)
@@ -5,5 +5,6 @@
 
   ! This routine needs IOIPSL
-   USE IOIPSL
+   USE comgeom_mod_h
+  USE IOIPSL
 
    USE parallel_lmdz
@@ -49,5 +50,4 @@
 
 
-  include "comgeom.h"
   include "description.h"
   include "iniprint.h"
Index: LMDZ6/trunk/libf/dyn3dmem/initfluxsto_p.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/initfluxsto_p.f90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/initfluxsto_p.f90	(revision 5281)
@@ -7,5 +7,6 @@
 
   ! This routine needs IOIPSL
-   USE IOIPSL
+   USE comgeom_mod_h
+  USE IOIPSL
 
    USE parallel_lmdz
@@ -50,5 +51,4 @@
 
 
-  include "comgeom.h"
   include "description.h"
   include "iniprint.h"
Index: LMDZ6/trunk/libf/dyn3dmem/inithist_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/inithist_loc.f90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/inithist_loc.f90	(revision 5281)
@@ -5,5 +5,6 @@
 
   ! This routine needs IOIPSL
-   USE IOIPSL
+   USE comgeom_mod_h
+  USE IOIPSL
 
    USE parallel_lmdz
@@ -47,5 +48,4 @@
 
 
-  include "comgeom.h"
   include "description.h"
   include "iniprint.h"
Index: LMDZ6/trunk/libf/dyn3dmem/integrd_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/integrd_loc.f90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/integrd_loc.f90	(revision 5281)
@@ -5,4 +5,5 @@
         (  nq,vcovm1,ucovm1,tetam1,psm1,massem1, &
         dv,du,dteta,dq,dp,vcov,ucov,teta,q,ps0,masse,phis) !,finvmaold)
+  USE comgeom_mod_h
   USE parallel_lmdz
   USE control_mod
@@ -39,5 +40,4 @@
 
 
-  include "comgeom.h"
   include "iniprint.h"
 
Index: LMDZ6/trunk/libf/dyn3dmem/laplacien_gam_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/laplacien_gam_loc.f90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/laplacien_gam_loc.f90	(revision 5281)
@@ -11,4 +11,5 @@
   !  divgra     est  un argument  de sortie pour le s-prog
   !
+  USE comgeom_mod_h
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
@@ -19,5 +20,4 @@
 
 
-  INCLUDE "comgeom.h"
 
   !
Index: LMDZ6/trunk/libf/dyn3dmem/laplacien_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/laplacien_loc.f90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/laplacien_loc.f90	(revision 5281)
@@ -9,4 +9,5 @@
   !  divgra     est  un argument  de sortie pour le s-prog
   !
+  USE comgeom_mod_h
   USE parallel_lmdz
   USE mod_filtreg_p
@@ -18,5 +19,4 @@
 
 
-  INCLUDE "comgeom.h"
 
   !
Index: LMDZ6/trunk/libf/dyn3dmem/laplacien_rot_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/laplacien_rot_loc.f90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/laplacien_rot_loc.f90	(revision 5281)
@@ -10,4 +10,5 @@
   !  rotout           est  un argument  de sortie pour le s-prog
   !
+  USE comgeom_mod_h
   USE parallel_lmdz
   USE mod_filtreg_p
@@ -19,5 +20,4 @@
 
 
-  INCLUDE "comgeom.h"
 
   !
Index: LMDZ6/trunk/libf/dyn3dmem/laplacien_rotgam_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/laplacien_rotgam_loc.f90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/laplacien_rotgam_loc.f90	(revision 5281)
@@ -9,4 +9,5 @@
   !  divgra     est  un argument  de sortie pour le s-prog
   !
+  USE comgeom_mod_h
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
@@ -17,5 +18,4 @@
 
 
-  INCLUDE "comgeom.h"
 
   !
Index: LMDZ6/trunk/libf/dyn3dmem/leapfrog_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/leapfrog_loc.f90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/leapfrog_loc.f90	(revision 5281)
@@ -2,5 +2,6 @@
         masse0,phis0,q0,time_0)
 
-   USE comdissnew_mod_h
+   USE comgeom_mod_h
+  USE comdissnew_mod_h
    USE misc_mod
    USE parallel_lmdz
@@ -76,5 +77,4 @@
   !   Declarations:
   !   -------------
-  include "comgeom.h"
   include "description.h"
   include "iniprint.h"
Index: LMDZ6/trunk/libf/dyn3dmem/massbar_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/massbar_loc.f90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/massbar_loc.f90	(revision 5281)
@@ -6,4 +6,5 @@
 ! Purpose: Compute air mass mean along X and Y in each cell.
 ! See iniconst for more details.
+  USE comgeom_mod_h
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
@@ -13,5 +14,4 @@
 
 
-  include "comgeom.h"
 !===============================================================================
 ! Arguments:
Index: LMDZ6/trunk/libf/dyn3dmem/massbarxy_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/massbarxy_loc.f90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/massbarxy_loc.f90	(revision 5281)
@@ -6,4 +6,5 @@
 ! Purpose: Compute air mass mean along X and Y in each cell.
 ! See iniconst for more details.
+  USE comgeom_mod_h
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
@@ -13,5 +14,4 @@
 
 
-  include "comgeom.h"
 !===============================================================================
 ! Arguments:
Index: LMDZ6/trunk/libf/dyn3dmem/massdair_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/massdair_loc.f90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/massdair_loc.f90	(revision 5281)
@@ -1,3 +1,4 @@
 SUBROUTINE massdair_loc( p, masse )
+  USE comgeom_mod_h
   USE parallel_lmdz
   !
@@ -21,5 +22,4 @@
 
 
-  include "comgeom.h"
   !
   !  .....   arguments  ....
Index: LMDZ6/trunk/libf/dyn3dmem/mod_xios_dyn3dmem.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/mod_xios_dyn3dmem.f90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/mod_xios_dyn3dmem.f90	(revision 5281)
@@ -37,4 +37,5 @@
 
 
+     USE comgeom_mod_h
      USE comvert_mod, ONLY: presnivs
      USE parallel_lmdz
@@ -47,5 +48,4 @@
 
 
-     INCLUDE 'comgeom.h'
 
      TYPE(xios_duration) :: tstep_xios
Index: LMDZ6/trunk/libf/dyn3dmem/nxgrad_gam_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/nxgrad_gam_loc.f90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/nxgrad_gam_loc.f90	(revision 5281)
@@ -9,4 +9,5 @@
   !   x  et y    sont des arguments de sortie pour le s-prog
   !
+  USE comgeom_mod_h
   USE parallel_lmdz
 
@@ -18,5 +19,4 @@
 
 
-  INCLUDE "comgeom.h"
   INTEGER :: klevel
   REAL :: rot( ijb_v:ije_v,klevel )
Index: LMDZ6/trunk/libf/dyn3dmem/nxgrad_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/nxgrad_loc.f90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/nxgrad_loc.f90	(revision 5281)
@@ -9,4 +9,5 @@
   !   x  et y    sont des arguments de sortie pour le s-prog
   !
+  USE comgeom_mod_h
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
@@ -17,5 +18,4 @@
 
 
-  INCLUDE "comgeom.h"
   INTEGER :: klevel
   REAL :: rot( ijb_v:ije_v,klevel ),x( ijb_u:ije_u,klevel )
Index: LMDZ6/trunk/libf/dyn3dmem/rotat_nfil_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/rotat_nfil_loc.f90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/rotat_nfil_loc.f90	(revision 5281)
@@ -10,4 +10,5 @@
   !        rot          est  un argument  de sortie pour le s-prog
   !
+  USE comgeom_mod_h
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
@@ -18,5 +19,4 @@
 
 
-  INCLUDE "comgeom.h"
   !
   !   .....  variables en arguments  ......
Index: LMDZ6/trunk/libf/dyn3dmem/rotat_p.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/rotat_p.f90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/rotat_p.f90	(revision 5281)
@@ -10,4 +10,5 @@
   !        rot          est  un argument  de sortie pour le s-prog
   !
+  USE comgeom_mod_h
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
@@ -18,5 +19,4 @@
 
 
-  INCLUDE "comgeom.h"
   !
   !   .....  variables en arguments  ......
Index: LMDZ6/trunk/libf/dyn3dmem/rotatf_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/rotatf_loc.f90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/rotatf_loc.f90	(revision 5281)
@@ -10,4 +10,5 @@
   !        rot          est  un argument  de sortie pour le s-prog
   !
+  USE comgeom_mod_h
   USE parallel_lmdz
   USE mod_filtreg_p
@@ -19,5 +20,4 @@
 
 
-  INCLUDE "comgeom.h"
   !
   !   .....  variables en arguments  ......
Index: LMDZ6/trunk/libf/dyn3dmem/sw_case_williamson91_6_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/sw_case_williamson91_6_loc.f90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/sw_case_williamson91_6_loc.f90	(revision 5281)
@@ -26,4 +26,5 @@
   !
   !=======================================================================
+  USE comgeom_mod_h
   USE parallel_lmdz
   USE comconst_mod, ONLY: cpp, omeg, rad
@@ -40,5 +41,4 @@
 
 
-  include "comgeom.h"
   include "iniprint.h"
 
Index: LMDZ6/trunk/libf/dyn3dmem/top_bound_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/top_bound_loc.f90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/top_bound_loc.f90	(revision 5281)
@@ -3,4 +3,5 @@
 !
 SUBROUTINE top_bound_loc(vcov,ucov,teta,masse,dt)
+  USE comgeom2_mod_h
   USE comdissipn_mod_h
   USE parallel_lmdz
@@ -16,5 +17,4 @@
 
 
-  include "comgeom2.h"
 
 
Index: LMDZ6/trunk/libf/dyn3dmem/tourpot_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/tourpot_loc.f90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/tourpot_loc.f90	(revision 5281)
@@ -5,4 +5,5 @@
 !-------------------------------------------------------------------------------
 ! Purpose: Compute potential vorticity.
+  USE comgeom_mod_h
   USE parallel_lmdz
   USE mod_filtreg_p
@@ -13,5 +14,4 @@
 
 
-  include "comgeom.h"
 !===============================================================================
 ! Arguments:
Index: LMDZ6/trunk/libf/dyn3dmem/vlsplt_loc.F90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/vlsplt_loc.F90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/vlsplt_loc.F90	(revision 5281)
@@ -417,4 +417,5 @@
   !
   !   --------------------------------------------------------------------
+  USE comgeom_mod_h
   USE parallel_lmdz
   USE infotrac, ONLY : nqtot,tracers, & ! CRisi                 &
@@ -428,5 +429,4 @@
 
 
-  include "comgeom.h"
   !
   !
Index: LMDZ6/trunk/libf/dyn3dmem/vlspltqs_loc.F90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/vlspltqs_loc.F90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/vlspltqs_loc.F90	(revision 5281)
@@ -422,4 +422,5 @@
   !
   !   --------------------------------------------------------------------
+  USE comgeom_mod_h
   USE parallel_lmdz
   USE infotrac, ONLY : nqtot,tracers, & ! CRisi                 &
@@ -433,5 +434,4 @@
 
 
-  include "comgeom.h"
   include "iniprint.h"
   !
Index: LMDZ6/trunk/libf/dyn3dmem/writedyn_xios.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/writedyn_xios.f90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/writedyn_xios.f90	(revision 5281)
@@ -5,4 +5,5 @@
      &                           masse,ps,phis)
 
+      USE comgeom_mod_h
       USE lmdz_xios
       USE parallel_lmdz
@@ -13,5 +14,5 @@
       USE temps_mod, ONLY: itau_dyn
       USE mod_xios_dyn3dmem, ONLY : writefield_dyn_u, writefield_dyn_v
-      
+
       USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
@@ -39,5 +40,4 @@
 
 
-      include "comgeom.h"
       include "description.h"
       include "iniprint.h"
Index: LMDZ6/trunk/libf/dyn3dmem/writedynav_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/writedynav_loc.f90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/writedynav_loc.f90	(revision 5281)
@@ -6,4 +6,5 @@
 
   ! This routine needs IOIPSL
+  USE comgeom_mod_h
   USE ioipsl
 
@@ -48,5 +49,4 @@
 
 
-  include "comgeom.h"
   include "description.h"
   include "iniprint.h"
Index: LMDZ6/trunk/libf/dyn3dmem/writehist_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/writehist_loc.f90	(revision 5280)
+++ LMDZ6/trunk/libf/dyn3dmem/writehist_loc.f90	(revision 5281)
@@ -6,4 +6,5 @@
 
   ! This routine needs IOIPSL
+  USE comgeom_mod_h
   USE ioipsl
 
@@ -48,5 +49,4 @@
 
 
-  include "comgeom.h"
   include "description.h"
   include "iniprint.h"
